
Schema.name = "MilitaryRP"
Schema.author = "RefoselTeamWork"
Schema.description = ""

ix.util.Include("cl_schema.lua")
ix.util.Include("sv_schema.lua")

ix.util.Include("cl_hooks.lua")
ix.util.Include("sh_hooks.lua")
ix.util.Include("sh_sounds.lua")
ix.util.Include("sv_hooks.lua")
ix.util.Include("sv_workshop.lua")
ix.util.Include("libs/thirdparty/sh_netstream2.lua")

RespawnTime = {
    ["superadmin"] = 10,
    ["teh.admin"] = 10,
    ["projectteam"] = 20,
    ["curator"] = 20,
    ["disp"] = 20,
    ["sudo-curator"] = 20,
    ["assistant"] = 20,
    ["st.admin"] = 20,
    ["admin"] = 30,
    ["st.event"] = 20,
    ["event"] = 30,
    ["ivent"] = 20,
    ["media"] = 50,
    ["sponsor"] = 20,
    ["vip"] = 50,
    ["user"] = 60
}


AdminPrivs = {
    ["superadmin"] = true,
    ["teh.admin"] = true,
    ["projectteam"] = true,
    ["curator"] = true,
    ["disp"] = true,
    ["sudo-curator"] = true,
    ["assistant"] = true,
    ["st.admin"] = true,
    ["admin"] = true,
    ["st.event"] = true,
    ["event"] = true,
    ["ivent"] = true
}

SuperAdminPrivs = {
    ["superadmin"] = true,
    ["teh.admin"] = true,
    ["ivent"] = true
}

ix.config.SetDefault("adminRanks", "superadmin,admin,curator,sudo-curator,teh.admin,projectteam,st.admin,specadmin,asist-sudo,ivent,st.event,event,disp,assistant")


local models = { 	
	["models/player/group01/male_04.mdl"] = true,
	["models/arma3/rf/soldier_belarus.mdl"] = true,
	["models/arma3/russia/soldier.mdl"] = true,
	["models/bibas/prigozin/wagner_company.mdl"] = true,
	["models/bibas/uk_pilot/pilot.mdl"] = true,
	["models/ft/soldier vsu.mdl"] = true,
	["models/knyaje pack/militarypolice_rf/militarypolice_rf_emrs.mdl"] = true,
	["models/welding/rf/soldier_rf.mdl"] = true,
	["models/2021s_devgru/2021s_devgru_bluesquadron_op1_pm.mdl"] = true,
	["models/ftmodel/murom_soldier/sso_soldier.mdl"] = true,
	["models/player/male_gk_swe.mdl"] = true,
	["models/skynet/operator_skynet/scp_tactical_model_operator_skynet.mdl"] = true,
    ["models/sso_ru_asset_xyi/char/sso_character_g3_btop3_pm.mdl"] = true,
    ["models/lucie/sfod/sfod_operator_mask.mdl"] = true,
    ["models/2021s_devgru/2021s_devgru_bluesquadron_op1_pm.mdl"] = true,
    ["models/player/male_gk_swe.mdl"] = true,
    ["models/knyaje pack/fsb_rosn/fsb_rosn.mdl"] = true,
    ["models/sbu/securityserviceukraine.mdl"] = true,
    ["models/knyaje pack/generals/general_genshtab.mdl"] = true,
    ["models/Knyaje Pack/generals/General_VDV.mdl"] = true,
    ["models/nb/wizard/SSO_RU_Syria/sso_pm.mdl"] = true,
    ["models/kalinouskaha/operation/operation_kalinouskaha.mdl"] = true,
}

for k, v in pairs(models) do
	ix.anim.SetModelClass(k, "player")
	util.PrecacheModel(k)
end
